Returns the command's request ID

- « MongoDB\Driver\Monitoring\CommandSucceededEvent::getReply

- MongoDB\Driver\Monitoring\CommandSucceededEvent::getServer »

- PHP Manual
- MongoDB\Driver\Monitoring\CommandSucceededEvent
- Returns the command's request ID

# MongoDB\Driver\Monitoring\CommandSucceededEvent::getRequestId

(mongodb >=1.3.0)

MongoDB\Driver\Monitoring\CommandSucceededEvent::getRequestId — Returns the command's request ID

### Description

final public MongoDB\Driver\Monitoring\CommandSucceededEvent::getRequestId(): string

The request ID is generated by the driver and may be used to associate this MongoDB\Driver\Monitoring\CommandSucceededEvent with a previous MongoDB\Driver\Monitoring\CommandStartedEvent.

### Parameters

This function has no parameters.

### Return Values

Returns the command's request ID.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### See Also

- MongoDB\Driver\Monitoring\CommandStartedEvent::getRequestId() - Returns the command's request ID
- Application Performance Monitoring (APM)